Bug 471041 - Review Request: diffpdf - PDF files comparator
Review Request: diffpdf - PDF files comparator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 10:23 EST by Rafał Psota
Modified: 2008-12-14 09:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-14 09:49:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafał Psota 2008-11-11 10:23:23 EST
Spec URL: http://rafalzaq.nonlogic.org/fedora/diffpdf/diffpdf.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/diffpdf/diffpdf-0.3.8-1.fc8.src.rpm
Description: DiffPDF is used to compare two PDF files. By default the comparison is
of the text on each pair of pages, but comparing the appearance of pages
is also supported (for example, if a diagram is changed or a paragraph
reformatted). It is also possible to compare particular pages or page
ranges.
Comment 1 Fabian Affolter 2008-11-11 17:43:30 EST
I'm unable to download your spec file...
Comment 3 Fabian Affolter 2008-11-12 17:41:34 EST
After a fast look at the spec file, it looks good to me.  If nobody is interested in doing the review, I will do it.

You can convert two lines into one if you like...

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 diffpdf $RPM_BUILD_ROOT%{_bindir}

-> install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}

but don't mix %{buildroot} and $RPM_BUILD_ROOT

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=929672
Comment 4 Fabian Affolter 2008-11-26 17:49:06 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary RPMs on at least one supported architecture.
     Tested on: F9/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop024 SRPMS]$ rpmlint -i diffpdf-0.3.8-1.fc8.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPMs:
     [fab@laptop024 i386]$ rpmlint -i diffpdf*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM upstream:   0eda6f63f85ed454718bf4565a08d9a0
     SHA1SUM of package: 0eda6f63f85ed454718bf4565a08d9a0
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [-] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [!] Package contains a properly installed %{name}.desktop file if it is a GUI application. [1]
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F9/i386
 [x] Package should compile and build into binary RPMs on all supported architectures.
     Tested F9: http://koji.fedoraproject.org/koji/taskinfo?taskID=929672
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


[1] The .desktop file is missing. 

Please add a .desktop file and I will be happy to approve this package.
Comment 5 Rafał Psota 2008-11-27 09:01:59 EST
I knew i forgot about something. ;)

Thanks for review! Here's new version with .desktop file:
Spec URL: http://rafalzaq.fedorapeople.org/review/diffpdf/diffpdf.spec
SRPM URL:
http://rafalzaq.fedorapeople.org/review/diffpdf/diffpdf-0.3.8-2.fc8.src.rpm
Comment 6 Fabian Affolter 2008-12-01 07:25:18 EST
'--vendor="fedora" \' is obsolete for new packages.
 see https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor
Comment 7 Fabian Affolter 2008-12-08 08:21:19 EST
As soon you have fixed the vendor tag, I will approve this package and then you can start with the cvs procedure.
Comment 9 Fabian Affolter 2008-12-12 13:50:05 EST
I see no further blockers, package is APPROVED.
Comment 10 Rafał Psota 2008-12-12 13:59:56 EST
New Package CVS Request
=======================
Package Name: diffpdf
Short Description: PDF files comparator
Owners: rafalzaq
Branches: F-9 F-10
InitialCC:
Comment 11 Kevin Fenzi 2008-12-13 23:47:22 EST
cvs done.
Comment 12 Rafał Psota 2008-12-14 09:49:39 EST
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.